org.eclipse.eef.properties.ui.legacy.internal.legacy2eef

## Class EEFLegacySection

- java.lang.Object
- - org.eclipse.eef.properties.ui.api.AbstractEEFSection
  - - org.eclipse.eef.properties.ui.legacy.internal.legacy2eef.EEFLegacySection

All Implemented Interfaces:
  IEEFSection

    public class EEFLegacySection
    extends AbstractEEFSection

Wraps an `ISection` to an `AbstractEEFSection`.

### Field Summary

### Fields inherited from class org.eclipse.eef.properties.ui.api.AbstractEEFSection

`STANDARD_LABEL_WIDTH`

### Constructor Summary

Constructors
Constructor and Description
`EEFLegacySection(org.eclipse.ui.views.properties.tabbed.ISection legacySection)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `aboutToBeHidden()` Notifies the section that its controls are about to be hidden.
`void` `aboutToBeShown()` Notifies the section that its controls are about to be shown.
`void` `createControls(org.eclipse.swt.widgets.Composite parent, EEFTabbedPropertySheetPage eefTabbedPropertySheetPage)` Creates the controls for the section.
`void` `dispose()` Dispose this section.
`boolean` `equals(java.lang.Object obj)`
`int` `getMinimumHeight()` Returns the minimum height needed by this section.
`int` `hashCode()`
`void` `refresh()` Refresh the contents of the controls displayed in this section.
`void` `setInput(org.eclipse.ui.IWorkbenchPart workbenchPart, org.eclipse.jface.viewers.ISelection currentSelection)` Notifies the section that the workbench selection has changed.
`boolean` `shouldUseExtraSpace()` Determine whether this section would like extra height space in case there is some left.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EEFLegacySection

    public EEFLegacySection(org.eclipse.ui.views.properties.tabbed.ISection legacySection)

The constructor.

Parameters:
  `legacySection` - A legacy section

### Method Detail

#### createControls

    public void createControls(org.eclipse.swt.widgets.Composite parent,
                               EEFTabbedPropertySheetPage eefTabbedPropertySheetPage)

Creates the controls for the section.

Clients should take advantage of the widget factory provided by the framework to achieve a common look between property sections.

Specified by:
  `createControls` in interface `IEEFSection`
Overrides:
  `createControls` in class `AbstractEEFSection`
Parameters:
  `parent` - the parent composite for the section.
  `eefTabbedPropertySheetPage` - the tabbed property sheet page.
See Also:
  `AbstractEEFSection.createControls(org.eclipse.swt.widgets.Composite, org.eclipse.eef.properties.ui.api.EEFTabbedPropertySheetPage)`

#### aboutToBeHidden

    public void aboutToBeHidden()

Notifies the section that its controls are about to be hidden. It is expected that sections disable domain related functions in this method, most commonly remove listeners.

Specified by:
  `aboutToBeHidden` in interface `IEEFSection`
Overrides:
  `aboutToBeHidden` in class `AbstractEEFSection`
See Also:
  `AbstractEEFSection.aboutToBeHidden()`

#### dispose

    public void dispose()

Dispose this section.

Specified by:
  `dispose` in interface `IEEFSection`
Overrides:
  `dispose` in class `AbstractEEFSection`
See Also:
  `AbstractEEFSection.dispose()`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`
See Also:
  `Object.equals(java.lang.Object)`

#### aboutToBeShown

    public void aboutToBeShown()

Notifies the section that its controls are about to be shown. It is expected that sections enable domain related functions in this method, most commonly add listeners.

Since the controls are not visible, the section should wait for the refresh() before updating the section controls.

Specified by:
  `aboutToBeShown` in interface `IEEFSection`
Overrides:
  `aboutToBeShown` in class `AbstractEEFSection`
See Also:
  `AbstractEEFSection.aboutToBeShown()`

#### getMinimumHeight

    public int getMinimumHeight()

Returns the minimum height needed by this section. A return value of `SWT.DEFAULT` indicates that no minimum height is defined.

Specified by:
  `getMinimumHeight` in interface `IEEFSection`
Overrides:
  `getMinimumHeight` in class `AbstractEEFSection`
Returns:
  the minimum height needed by this section.
See Also:
  `AbstractEEFSection.getMinimumHeight()`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`
See Also:
  `Object.hashCode()`

#### refresh

    public void refresh()

Refresh the contents of the controls displayed in this section.

Specified by:
  `refresh` in interface `IEEFSection`
Overrides:
  `refresh` in class `AbstractEEFSection`
See Also:
  `AbstractEEFSection.refresh()`

#### setInput

    public void setInput(org.eclipse.ui.IWorkbenchPart workbenchPart,
                         org.eclipse.jface.viewers.ISelection currentSelection)

Notifies the section that the workbench selection has changed.

Specified by:
  `setInput` in interface `IEEFSection`
Overrides:
  `setInput` in class `AbstractEEFSection`
Parameters:
  `workbenchPart` - The active workbench part.
  `currentSelection` - The active selection in the workbench part.
See Also:
  `AbstractEEFSection.setInput(org.eclipse.ui.IWorkbenchPart, org.eclipse.jface.viewers.ISelection)`

#### shouldUseExtraSpace

    public boolean shouldUseExtraSpace()

Determine whether this section would like extra height space in case there is some left. Normally this is true when the section is the last to be displayed on a tab or is the only section on a tab.

Specified by:
  `shouldUseExtraSpace` in interface `IEEFSection`
Overrides:
  `shouldUseExtraSpace` in class `AbstractEEFSection`
Returns:
  `true` if this section would like extra height space.
See Also:
  `AbstractEEFSection.shouldUseExtraSpace()`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`
See Also:
  `Object.toString()`